program Widen

! Widen the 50-column dump from simh

  character(len=58) :: Inline, InWM    ! Input line, word marks
  character(len=108) :: Outline, OutWM ! Output line, word marks

  do
    read ( *, '(a)', end=9 ) Inline
    if ( index(inline(2:6),':') == 0 ) then
      write ( *, '(a)' ) trim(inline)
      cycle
    end if
    outline = inline
    read ( *, '(a)' ) InWm
    outwm = inwm
    read ( *, '(a)' ) Inline
    outline(59:) = inline(9:)
    read ( *, '(a)' ) InWm
    outwm(59:) = inwm(9:)
    write ( *, '(a)' ) trim(outline)
    write ( *, '(a)' ) trim(outwm)
  end do

9 stop
end program Widen
